from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XDispatchRecorderSupplier(XInterface, Protocol):
    def setDispatchRecorder(self, Recorder: XDispatchRecorder) -> None: ...
    def getDispatchRecorder(self) -> XDispatchRecorder: ...
    def dispatchAndRecord(self, URL: URL, Arguments: PropertyValue>, Dispatcher: XDispatch) -> None: ...
